View Issue Details

IDProjectCategoryView StatusLast Update
0002116Far ManagerDrive Menupublic2012-11-19 00:06
ReporterElviraAssigned ToDrKnS 
PriorityurgentSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx64OSWindowsOS Version7
Product Version2.0 
Target VersionFixed in Version3.0 
Summary0002116: Выскакивает сообщение при вызове диалога выбора диска.
DescriptionИгнорирует DWORD ключ "NoDrives" в реестре, в разделе HKLM\Software\Microsoft\Windows\CurrentVersion\Policies\Explorer, считая что наиболее правильным способом будет прочитать его с раздела текущего пользователя HKCU\Software\Microsoft\Windows\CurrentVersion\Policies\Explorer. хотя в TechInfo.txt написано обратное:
  "Параметр из HKLM позволяет назначать наследование на уровне всех
   пользователей. Параметр из HKCU - на уровне текущего пользователя. Если
   параметр из HKLM=0 (не показывать скрытые диски для всех пользователей),
   то параметр из HKCU не имеет никакого эффекта."
Additional InformationОбсуждалось на форуме: http://forum.farmanager.com/viewtopic.php?f=3&t=5942&p=96083#p72998

Решила проблему таким образом: http://forum.farmanager.com/viewtopic.php?f=3&t=5942&p=96083#p96083
TagsNo tags attached.
Build2704

Activities

Elvira

2012-05-24 23:54

reporter  

far.png (21,198 bytes)
far.png (21,198 bytes)

2useven10

2012-05-25 00:26

developer   bugnote:0009275

Разумное поведение.
Надо поправить TechInfo...

DrKnS

2012-05-25 01:10

administrator   bugnote:0009276

Чем оно разумное?
Это "запрещающая" опция, диски из hkcu должны добавляться к дискам из hklm, а не перекрывать их.
2702.

2useven10

2012-05-25 04:55

developer   bugnote:0009278

это с какой стороны посмотреть.
как, например в, этом случае реализовать ‘запретить всем, кроме васи’ ?

DrKnS

2012-05-25 09:42

administrator   bugnote:0009279

посмотрел "как в windows" - неправильно и так, и так.

после 2704 поведение будет соответствовать системному - читаем NoDrives из hklm, и только если там его нет - из hkcu.

Issue History

Date Modified Username Field Change
2012-05-24 23:54 Elvira New Issue
2012-05-24 23:54 Elvira File Added: far.png
2012-05-25 00:26 2useven10 Note Added: 0009275
2012-05-25 00:27 DrKnS Assigned To => DrKnS
2012-05-25 00:27 DrKnS Status new => assigned
2012-05-25 01:10 DrKnS Note Added: 0009276
2012-05-25 01:10 DrKnS Status assigned => feedback
2012-05-25 04:55 2useven10 Note Added: 0009278
2012-05-25 09:42 DrKnS Note Added: 0009279
2012-11-19 00:06 DrKnS Build => 2704
2012-11-19 00:06 DrKnS Status feedback => closed
2012-11-19 00:06 DrKnS Resolution open => fixed
2012-11-19 00:06 DrKnS Fixed in Version => 3.0